package tb3d;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

/**
 * <p>Title: TreeBuilder3D</p>
 * <p>Description: Interactive 3D viewer</p>
 * <p>Copyright: Copyright (c) 2004</p>
 * <p>Company: GSC BC Cancer Agency</p>
 *
 * @author Peter Ruzanov
 * @version 1.0
 */

/*GPL
This file is part of TreeBuilder3D

TreeBuilder3D is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

TreeBuilder3D is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with TreeBuilder3D; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

public class Tb3DFrame extends JFrame {
  JPanel contentPane;
  JLabel statusBar = new JLabel();
  BorderLayout borderLayout_cont = new BorderLayout();
  JTabbedPane TabbedPane_main = new JTabbedPane();

  //Construct the frame
  public Tb3DFrame() {
    enableEvents(AWTEvent.WINDOW_EVENT_MASK);
    try {
      jbInit();
      System.out.println("TreeBuilder3D version 1.0 (C) 2004 Peter Ruzanov\n");
    }
    catch(Exception e) {
      e.printStackTrace();
    }
  }
  //Component initialization
  private void jbInit() throws Exception  {
    contentPane = (JPanel) this.getContentPane();
    contentPane.setLayout(borderLayout_cont);
    this.setSize(new Dimension(400, 300));
    this.setTitle("TreeBuilder3D");
    statusBar.setBorder(BorderFactory.createEtchedBorder());
    statusBar.setDebugGraphicsOptions(0);
    statusBar.setText(" ");

    TabbedPane_main.addTab("Viewer",
			   null,
			   new tb3d(),
			   null);

    TabbedPane_main.addTab("Controls",
			   null,
			   new tb3d_controls(),
			   null);



    contentPane.add(statusBar, BorderLayout.SOUTH);
    contentPane.add(TabbedPane_main,  BorderLayout.CENTER);
  }
  //Overridden so we can exit when window is closed
  protected void processWindowEvent(WindowEvent e) {
    super.processWindowEvent(e);
    if (e.getID() == WindowEvent.WINDOW_CLOSING) {
      System.exit(0);
    }
  }
}