package tb3d;

import javax.swing.UIManager;
import java.awt.*;
import javax.swing.LookAndFeel;
import javax.swing.UnsupportedLookAndFeelException;
import com.incors.plaf.kunststoff.KunststoffLookAndFeel;

/**
 *  <p>Title: TreeBuilder3D</p>
 *  <p>Description: Interactive 3D viewer</p>
 *  <p>Copyright: Copyright (c) 2004</p>
 *  <p>Company: GSC BC Cancer Agency</p>
 *
 *@author     Peter Ruzanov
 *@version    1.0
 */

/*GPL
This file is part of TreeBuilder3D

TreeBuilder3D is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

TreeBuilder3D is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with TreeBuilder3D; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

public class Tb3d_app {
    boolean packFrame = false;


     /**
     *  Constructor for the Tb3d_app object
     */
    public Tb3d_app() {
	Tb3DFrame frame = new Tb3DFrame();
	frame.setSize(500, 450);
	//Validate frames that have preset sizes
	//Pack frames that have useful preferred size info, e.g. from their layout
	if (packFrame) {
	    frame.pack();
	} else {
	    frame.validate();
	}
	//Center the window
	Dimension screenSize = Toolkit.getDefaultToolkit().getScreenSize();
	Dimension frameSize = frame.getSize();
	if (frameSize.height > screenSize.height) {
	    frameSize.height = screenSize.height;
	}
	if (frameSize.width > screenSize.width) {
	    frameSize.width = screenSize.width;
	}
	frame.setLocation((screenSize.width - frameSize.width) / 2, (screenSize.height - frameSize.height) / 2);
	frame.setVisible(true);
    }

    /**
     *  The main program for the Tb3d_app class
     *
     *  @param  args  The command line arguments
     */
    public static void main(String[] args) {
	try {
	    UIManager.setLookAndFeel(new KunststoffLookAndFeel());
	} catch (UnsupportedLookAndFeelException e) {
	    try {
		UIManager.setLookAndFeel(UIManager.getSystemLookAndFeelClassName());
	    } catch (Exception e2) {
		e.printStackTrace();
	    }
	} catch (Exception e) {
	    e.printStackTrace();
	}
	new Tb3d_app();
    }
}
